com.independentsoft.exchange

## Class MailboxData

- java.lang.Object
- - com.independentsoft.exchange.MailboxData

-     public class MailboxData
      extends java.lang.Object

  Represents an individual mailbox user and options for the type of data to be returned about the mailbox user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailboxData()` Initializes a new instance of the MailboxData class.
    `MailboxData(EmailAddress emailAddress)` Initializes a new instance of the MailboxData class.
    `MailboxData(EmailAddress emailAddress, MeetingAttendeeType attendeeType)` Initializes a new instance of the MailboxData class.
    `MailboxData(EmailAddress emailAddress, MeetingAttendeeType attendeeType, boolean excludeConflicts)` Initializes a new instance of the MailboxData class.
    `MailboxData(java.lang.String emailAddress)` Initializes a new instance of the MailboxData class.
    `MailboxData(java.lang.String emailAddress, MeetingAttendeeType attendeeType)` Initializes a new instance of the MailboxData class.
    `MailboxData(java.lang.String emailAddress, MeetingAttendeeType attendeeType, boolean excludeConflicts)` Initializes a new instance of the MailboxData class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MeetingAttendeeType` | `getAttendeeType()` Gets the type of attendee identified in the Email element.
    `EmailAddress` | `getEmailAddress()` Gets the mailbox user for a GetUserAvailability query.
    `boolean` | `getExcludeConflicts()` Gets whether to return suggested times for calendar times that conflict among the attendees.
    `void` | `setAttendeeType(MeetingAttendeeType attendeeType)` Sets the type of attendee identified in the Email element.
    `void` | `setEmailAddress(EmailAddress emailAddress)` Sets the mailbox user for a GetUserAvailability query.
    `void` | `setExcludeConflicts(boolean excludeConflicts)` Sets whether to return suggested times for calendar times that conflict among the attendees.
    `java.lang.String` | `toString()` Converts the value of the current MailboxData object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MailboxData

          public MailboxData()

      Initializes a new instance of the MailboxData class.

    - #### MailboxData

          public MailboxData(EmailAddress emailAddress)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address

    - #### MailboxData

          public MailboxData(EmailAddress emailAddress,
                             MeetingAttendeeType attendeeType)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address
        `attendeeType` - the attendee type

    - #### MailboxData

          public MailboxData(EmailAddress emailAddress,
                             MeetingAttendeeType attendeeType,
                             boolean excludeConflicts)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address
        `attendeeType` - the attendee type
        `excludeConflicts` - the exclude conflicts

    - #### MailboxData

          public MailboxData(java.lang.String emailAddress)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address

    - #### MailboxData

          public MailboxData(java.lang.String emailAddress,
                             MeetingAttendeeType attendeeType)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address
        `attendeeType` - the attendee type

    - #### MailboxData

          public MailboxData(java.lang.String emailAddress,
                             MeetingAttendeeType attendeeType,
                             boolean excludeConflicts)

      Initializes a new instance of the MailboxData class.
      Parameters:
        `emailAddress` - the email address
        `attendeeType` - the attendee type
        `excludeConflicts` - the exclude conflicts

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current MailboxData object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getEmailAddress

          public EmailAddress getEmailAddress()

      Gets the mailbox user for a GetUserAvailability query.
      Returns:
        the email address

    - #### setEmailAddress

          public void setEmailAddress(EmailAddress emailAddress)

      Sets the mailbox user for a GetUserAvailability query.
      Parameters:
        `emailAddress` - the new email address

    - #### getAttendeeType

          public MeetingAttendeeType getAttendeeType()

      Gets the type of attendee identified in the Email element.
      Returns:
        the attendee type

    - #### setAttendeeType

          public void setAttendeeType(MeetingAttendeeType attendeeType)

      Sets the type of attendee identified in the Email element.
      Parameters:
        `attendeeType` - the new attendee type

    - #### getExcludeConflicts

          public boolean getExcludeConflicts()

      Gets whether to return suggested times for calendar times that conflict among the attendees.
      Returns:
        the exclude conflicts

    - #### setExcludeConflicts

          public void setExcludeConflicts(boolean excludeConflicts)

      Sets whether to return suggested times for calendar times that conflict among the attendees.
      Parameters:
        `excludeConflicts` - the new exclude conflicts